﻿//////////////////////////////////////////////
// DecodedEntityData.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkGraphics
#include "../../Dll/DllDefines.h"

// nkMemory
#include <NilkinsMemory/Containers/BufferCast.h>

/// Class ------------------------------------

namespace nkGraphics
{
	struct DLL_GRAPHICS_EXPORT DecodedEntityData final
	{
		// Attributes
		nkMemory::BufferCast<unsigned int> _meshIndices ;
		nkMemory::BufferCast<unsigned int> _materialIndices ;
	} ;
}