﻿//////////////////////////////////////////////
// DecodedTextureData.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkGraphics
#include "../../Dll/DllDefines.h"

// nkImages
#include <NilkinsImages/Data/Image.h>

// nkMemory
#include <NilkinsMemory/Containers/String.h>

/// Class ------------------------------------

namespace nkGraphics
{
	struct DLL_GRAPHICS_EXPORT DecodedTextureData final
	{
		// Attributes
		nkImages::Image _image ;
		nkMemory::String _absPath ;

		bool _usedForNormal = false ;
	} ;
}