﻿//////////////////////////////////////////////
// GltfEncoderUtils.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkExport
{
	class Node ;
}

/// Class ------------------------------------

namespace nkGraphics
{
	class GltfEncoderUtils final
	{
		public :

			// Checks
			static bool validateJsonStructure (nkExport::Node* tree) ;
			static bool validateAccessor (nkExport::Node* node) ;
			static bool validateBufferView (nkExport::Node* node) ;
			static bool validateBuffer (nkExport::Node* node) ;
			static bool validateAccessorPathToBuffer (nkExport::Node* tree, unsigned int accessorIndex) ;

			// Conversions
			static unsigned int getComponentTypeByteSize (unsigned int componentType) ;
	} ;
}